import { Options as RollupPluginSvelteOptions } from "rollup-plugin-svelte";
import { Plugin, OutputOptions, InputOptions } from "rollup";
interface CreateConfigOptions {
    /**
     * set to `true` to minify the HTML/JS
     * @default false
     */
    minify: boolean;
    /**
     * set the folder to emit the files
     * @default "dist"
     */
    outDir: string;
    /**
     * custom CSS appended to the <style> block
     * @default ""
     */
    style: string;
    /**
     * set to `true` to omit the default GitHub styles
     * @default false
     */
    disableDefaultCSS: boolean;
    /**
     * value to prepend to relative URLs (i.e. GitHub repo URL)
     * @default undefined
     */
    prefixUrl: string;
    /**
     * `rollup-plugin-svelte` options
     * @default {}
     */
    svelte: RollupPluginSvelteOptions;
    /**
     * Rollup plugins
     * @default {[]}
     */
    plugins: Plugin[];
    /**
     * Rollup output options
     * @default {{}}
     */
    output: OutputOptions;
    /**
     * Append content to the `head` element in `index.html`
     */
    head: string;
}
export default function createConfig(opts?: Partial<CreateConfigOptions>): InputOptions;
export {};
